Index: pacemaker/pengine/test10/interleave-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/interleave-1.exp
+++ pacemaker/pengine/test10/interleave-1.exp
@@ -1400,7 +1400,7 @@
      <action_set>
       <rsc_op id="68" operation="monitor" operation_key="child_CloneSet:6_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559">
         <primitive id="child_CloneSet:6" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1409,7 +1409,7 @@
      <action_set>
       <rsc_op id="49" operation="monitor" operation_key="child_CloneSet:6_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="child_CloneSet:6" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -1418,7 +1418,7 @@
      <action_set>
       <rsc_op id="33" operation="monitor" operation_key="child_CloneSet:6_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="child_CloneSet:6" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="6" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -1427,7 +1427,7 @@
      <action_set>
       <rsc_op id="217" operation="monitor" operation_key="child_CloneSet:7_monitor_5000" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c001n09" CRM_meta_on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -1440,7 +1440,7 @@
      <action_set>
       <rsc_op id="216" operation="start" operation_key="child_CloneSet:7_start_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n09" CRM_meta_on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -1453,7 +1453,7 @@
      <action_set>
       <rsc_op id="163" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n09" on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n09" CRM_meta_on_node_uuid="f67904e0-4dfc-4db1-83a2-e930fc1d20f4" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1462,7 +1462,7 @@
      <action_set>
       <rsc_op id="143" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n08" CRM_meta_on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1471,7 +1471,7 @@
      <action_set>
       <rsc_op id="121" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n07" on_node_uuid="208d89a6-e052-4e9d-973d-07c9036c506b">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n07" CRM_meta_on_node_uuid="208d89a6-e052-4e9d-973d-07c9036c506b" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1480,7 +1480,7 @@
      <action_set>
       <rsc_op id="100" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n06" on_node_uuid="f91e6074-699d-48af-80d6-223132f291e2">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n06" CRM_meta_on_node_uuid="f91e6074-699d-48af-80d6-223132f291e2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1489,7 +1489,7 @@
      <action_set>
       <rsc_op id="89" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n05" on_node_uuid="c13968a2-bcf0-41f6-9133-01e5bbb63cd5">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n05" CRM_meta_on_node_uuid="c13968a2-bcf0-41f6-9133-01e5bbb63cd5" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1498,7 +1498,7 @@
      <action_set>
       <rsc_op id="69" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n04" on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="c2896699-96b8-4dbc-a94e-6c3b9252b559" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -1507,7 +1507,7 @@
      <action_set>
       <rsc_op id="50" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n03" CRM_meta_on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -1516,7 +1516,7 @@
      <action_set>
       <rsc_op id="34" operation="monitor" operation_key="child_CloneSet:7_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f">
         <primitive id="child_CloneSet:7" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
+        <attributes CRM_meta_clone="7" CRM_meta_clone_max="8" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="c001n02" CRM_meta_on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="c001n09 c001n02 c001n03 c001n04 c001n05 c001n06 c001n07 c001n08 "/>
        </rsc_op>
      </action_set>
     <inputs/>
